locomotivemtl/charcoal-contrib-foobar

This package is not installable via Composer 1.x, please make sure you upgrade to Composer 2+. Read more about our Composer 1.x deprecation policy.

A Charcoal module to generate a google static map compatible url

dev-master / 0.1.x-dev 2020-02-11 18:59 UTC

This package is auto-updated.

Last update: 2021-07-11 22:30:06 UTC


README

License Latest Stable Version Code Quality Coverage Status Build Status

A Charcoal service provider my cool feature.

Table of Contents

Installation

The preferred (and only supported) method is with Composer:

$ composer require locomotivemtl/charcoal-contrib-google-static-map

Dependencies

Required

PSR

--TBD--

Service Provider

Parameters

--TBD--

Services

--TBD--

Configuration

--TBD--

Usage

--TBD--

Development

To install the development environment:

$ composer install

To run the scripts (phplint, phpcs, and phpunit):

$ composer test

API Documentation

Development Dependencies

  • [php-coveralls/php-coveralls][phpcov]
  • [phpunit/phpunit][phpunit]
  • [squizlabs/php_codesniffer][phpcs]

Coding Style

The charcoal-contrib-google-static-map module follows the Charcoal coding-style:

Coding style validation / enforcement can be performed with composer phpcs. An auto-fixer is also available with composer phpcbf.

Credits

License

Charcoal is licensed under the MIT license. See LICENSE for details.